Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.troubleticket
Class JournalEntryImpl

    java.lang.Object
      |
      +--theory.smart.foundation.BelongingImpl
            |
            +--theory.smart.ebusiness.troubleticket.JournalEntryImpl

public class JournalEntryImpl
extends BelongingImpl
implements JournalEntry

Each journal entry logs a change in state, the reason, and times.

See Also:
  `JournalEntry`, `JournalEntryHome`, Serialized Form

Field Summary
`java.lang.String` | `agentId` agentId [JournalEntry] <*>------> [`String`]
`java.sql.Date` | `effectiveDate` effectiveDate [JournalEntry] <*>------> [`java.sql.Date`]
`boolean` | `internal` internal [JournalEntry] <*>------> [`boolean`]
`java.lang.String` | `notes` notes [JournalEntry] <*>------> [`String`]
`java.lang.String` | `status` status [JournalEntry] <*>------> [`String`]

Fields inherited from class theory.smart.foundation.BelongingImpl
`isDirty`

Constructor Summary
`JournalEntryImpl()`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`java.lang.String` | `getAgentId()` Get the value of agentId
`java.sql.Date` | `getEffectiveDate()` Get the value of effectiveDate
`boolean` | `getInternal()` Get the value of internal
`java.lang.String` | `getNotes()` Get the value of notes
`java.lang.String` | `getStatus()` Get the value of status
`void` | `setAgentId(java.lang.String agentId)` Set the value of agentId
`void` | `setEffectiveDate(java.sql.Date effectiveDate)` Set the value of effectiveDate
`void` | `setInternal(boolean internal)` Set the value of internal
`void` | `setNotes(java.lang.String notes)` Set the value of notes
`void` | `setStatus(java.lang.String status)` Set the value of status
`Belonging` | `value()`

Methods inherited from class theory.smart.foundation.BelongingImpl
`equals`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### status

    public java.lang.String status

                        status
       [JournalEntry] <*>------> [String]

### effectiveDate

    public java.sql.Date effectiveDate

                        effectiveDate
       [JournalEntry] <*>------> [java.sql.Date]

### agentId

    public java.lang.String agentId

                        agentId
       [JournalEntry] <*>------> [String]

### notes

    public java.lang.String notes

                        notes
       [JournalEntry] <*>------> [String]

### internal

    public boolean internal

                        internal
       [JournalEntry] <*>------> [boolean]

Constructor Detail

### JournalEntryImpl

    public JournalEntryImpl()

Method Detail

### getStatus

    public java.lang.String getStatus()

  Get the value of status
  Specified by:
    getStatus in interface JournalEntry
  Returns:
    status.

### setStatus

    public void setStatus(java.lang.String status)

  Set the value of status
  Specified by:
    setStatus in interface JournalEntry
  Parameters:
    `status` - status to be added

### getEffectiveDate

    public java.sql.Date getEffectiveDate()

  Get the value of effectiveDate
  Specified by:
    getEffectiveDate in interface JournalEntry
  Returns:
    effectiveDate.

### setEffectiveDate

    public void setEffectiveDate(java.sql.Date effectiveDate)

  Set the value of effectiveDate
  Specified by:
    setEffectiveDate in interface JournalEntry
  Parameters:
    `effectiveDate` - effectiveDate to be added

### getAgentId

    public java.lang.String getAgentId()

  Get the value of agentId
  Specified by:
    getAgentId in interface JournalEntry
  Returns:
    agentId.

### setAgentId

    public void setAgentId(java.lang.String agentId)

  Set the value of agentId
  Specified by:
    setAgentId in interface JournalEntry
  Parameters:
    `agentId` - agentId to be added

### getNotes

    public java.lang.String getNotes()

  Get the value of notes
  Specified by:
    getNotes in interface JournalEntry
  Returns:
    notes.

### setNotes

    public void setNotes(java.lang.String notes)

  Set the value of notes
  Specified by:
    setNotes in interface JournalEntry
  Parameters:
    `notes` - notes to be added

### getInternal

    public boolean getInternal()

  Get the value of internal
  Specified by:
    getInternal in interface JournalEntry
  Returns:
    internal.

### setInternal

    public void setInternal(boolean internal)

  Set the value of internal
  Specified by:
    setInternal in interface JournalEntry
  Parameters:
    `internal` - internal to be added

### value

    public Belonging value()

### compareTo

    public int compareTo(java.lang.Object o)

  Overrides:
    compareTo in class BelongingImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.